Subject: Re: [ippm] Genart last call review of draft-ietf-ippm-port-twamp-test-03

From: Alissa Cooper <[email-masked]>
Date: Tue, 4 Dec 2018 20:51:43 -0500

Linda, thanks for your review. Al, thanks for clarifying Linda’s questions. I’ve entered a No Objection ballot.

Alissa

> On Nov 26, 2018, at 4:54 PM, MORTON, ALFRED C (AL) <[email-masked]> wrote:
> 
> Hi Linda, 
> thanks for your gen-art review, concise replies below,
> Al
> 
> 
>> -----Original Message-----
>> From: Linda Dunbar [mailto:[email-masked]]
>> Sent: Monday, November 26, 2018 1:16 PM
>> To: [email-masked]
>> Cc: [email-masked]; [email-masked];
>> [email-masked]
>> Subject: Genart last call review of draft-ietf-ippm-port-twamp-test-03
>> 
>> Reviewer: Linda Dunbar
>> Review result: Ready with Issues
>> 
>> I am the assigned Gen-ART reviewer for this draft. The General Area
>> Review Team (Gen-ART) reviews all IETF documents being processed
>> by the IESG for the IETF Chair.  Please treat these comments just
>> like any other last call comments.
>> 
>> For more information, please see the FAQ at
>> 
>> <https://urldefense.proofpoint.com/v2/url?u=https-
>> 3A__trac.ietf.org_trac_gen_wiki_GenArtfaq&d=DwIDaQ&c=LFYZ-
>> o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=-
>> I8cqodaz0u_gF7v6lax31KbNDg7IGZaYBTIpuCuVOM&s=ztMoKWjFnmEbnJT2WIOzjWXVN3tlw
>> Ivmy8p9bKOpyzY&e=>.
>> 
>> Document: draft-ietf-ippm-port-twamp-test-??
>> Reviewer: Linda Dunbar
>> Review Date: 2018-11-26
>> IETF LC End Date: 2018-11-26
>> IESG Telechat date: 2018-12-06
>> 
>> Summary:
>> The draft briefs how TWAMP&OWAMP work and assigned a fixed UDP ports for
>> TWAMP
>> & OWAMP Test messages
> [acm] 
> Not quite right, the abstract says:
> 
>   This memo explains the motivation and describes the *re-assignment* of
>   well-known ports for the OWAMP and TWAMP protocols for control and
>   measurement,...
>> 
>> Major issues:
>> Section 5.1 states that the UDP port used for TEST are negotiated, whereas
>> the
>> IANA section of this document states the explicit fixed UDP port .  Does
>> it
>> mean the negotiation is no longer needed? 
> [acm] 
> No, we are making a the well-known port available
> for cases where the TWAMP systems don't wish to negotiate.
> 
> 
>> Than all TEST messages are on
>> the
>> same UDP ports? Makings it not effective in making test messages
>> traversing
>> different ECMP paths. Why?
> [acm] 
> No, dynamic range still allowed,
> and ECMP hash calculations are unaffected.
> 
>> 
>> “ Section 3.5 [RFC5357] describes the detailed process of negotiating
>>   the Receiver Port number, on which the TWAMP Session-Reflector will
>>   send and receive TWAMP-Test packets.  The Control-Client, acting on
>>   behalf of the Session-Sender, proposes the Receiver port number from
>>   the Dynamic Port range [RFC6335]:
>>      "The Receiver Port is the desired UDP port to which TWAMP-Test
>>      packets will be sent by the Session-Sender (the port where the
>>      Session-Reflector is asked to receive test packets).  The Receiver
>> Port
>>      is also the UDP port from which TWAMP-Test packets will be sent by
>> the
>>      Session-Reflector (the Session-Reflector will use the same UDP port
>> to
>>      send and receive packets)."
>> 
>> Minor issues:
>> 
>> Does the following sentence mean the UDP port was already assigned to to
>> OWAMP
>> & TWAMP control?
> [acm] 
> Yes, that's why the Abstract says *re-assignment*.
> 
>> 
>> “  Since OWAMP-Control and TWAMP-Control require TCP transport, they
>>   cannot make use of the UDP ports which were originally assigned.
>>   However, test sessions using OWAMP-Test or TWAMP-Test operate on UDP
>>   transport.”
>> 
>> The text then states that “Use of this UDP port is OPTIONAL in standards-
>> track
>>   OWAMP and TWAMP. “
> [acm] 
> Exactly, the Dynamic range is still available, according to RFC5357.
> 
> 
>> If not using UDP ports, does it mean that the TCP ports are uses for
>> OWAMP-TEST
>> & TWAMP-TEST?
> [acm] 
> No, never.
> 
>> 
>> Nits/editorial comments:
>> 
>> the head note has “WAMP W-K UDP Ports” as the title which is different
> [acm] 
> it says *WAMP, meaning either OWAMP or TWAMP.
> 
>> from the
>> draft title. P.s. what does W-K mean?
> [acm] 
> W-K == Well-Known 
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm